# __gnu_cxx::_Rope_base< _CharT, _Alloc > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Rope_base< _CharT, _Alloc >:

List of all members.

## Detailed Description

### template<class _CharT, class _Alloc>
struct __gnu_cxx::_Rope_base< _CharT, _Alloc >

Definition at line 1439 of file rope.

## Public Types

- typedef _Rope_RopeConcatenation<
  _CharT, _Alloc > __C
- typedef _Rope_RopeFunction<
  _CharT, _Alloc > __F
- typedef _Rope_RopeLeaf< _CharT,
  _Alloc > __L
- typedef _Rope_RopeSubstring<
  _CharT, _Alloc > __S
- typedef _Alloc::template rebind<
  __C >::other _CAlloc
- typedef _Alloc::template rebind<
  _CharT >::other _DataAlloc
- typedef _Alloc::template rebind<
  __F >::other _FAlloc
- typedef _Alloc::template rebind<
  __L >::other _LAlloc
- typedef _Rope_RopeRep< _CharT,
  _Alloc > _RopeRep
- typedef _Alloc::template rebind<
  __S >::other _SAlloc
- typedef _Alloc allocator_type

## Public Member Functions

- _Rope_base (const allocator_type &)
- _Rope_base (_RopeRep *__t, const allocator_type &)
- allocator_type get_allocator () const

## Static Public Member Functions

- static __C * _C_allocate (size_t __n)
- static void _C_deallocate (__C *__p, size_t __n)
- static _CharT * _Data_allocate (size_t __n)
- static void _Data_deallocate (_CharT *__p, size_t __n)
- static __F * _F_allocate (size_t __n)
- static void _F_deallocate (__F *__p, size_t __n)
- static __L * _L_allocate (size_t __n)
- static void _L_deallocate (__L *__p, size_t __n)
- static __S * _S_allocate (size_t __n)
- static void _S_deallocate (__S *__p, size_t __n)

## Public Attributes

- _RopeRep * _M_tree_ptr

## Protected Member Functions

- _Rope_base (const _Rope_base &)
- _Rope_base & operator= (const _Rope_base &)

The documentation for this struct was generated from the following file:

- rope